Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class InterM4ColumnsetPrimaryKey

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.InterM4ObjectToObject
          edu.udo.cs.miningmart.m4.utils.InterM4ColumnsetPrimaryKey

public class InterM4ColumnsetPrimaryKey
extends InterM4ObjectToObject

Helper class for standard communication between `Columnset` (first object) and `PrimaryKey` (second object).

Version:
  $Id: InterM4ColumnsetPrimaryKey.java,v 1.3 2006/04/11 14:10:10 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`InterM4ColumnsetPrimaryKey()`

Method Summary
`M4Object` | `getFirstSingleRef(M4Object columnset)` This method should call the getter in the first object which returns the reference to the second object.
`M4Object` | `getSecondSingleRef(M4Object primKey)` This method should call the getter in the second object which returns the reference to the first object.
`void` | `setFirstSingleRefPrimitive(M4Object columnset, M4Object primKey)` This method should call the primitive setter for the first object, setting the reference to the second object.
`void` | `setSecondSingleRefPrimitive(M4Object primKey, M4Object columnset)` This method should call the primitive setter for the second object, setting the reference to the first object.

Methods inherited from class edu.udo.cs.miningmart.m4.utils.InterM4ObjectToObject
`removeReferences, setReciprocalReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterM4ColumnsetPrimaryKey

    public InterM4ColumnsetPrimaryKey()

Method Detail

### getFirstSingleRef

    public M4Object getFirstSingleRef(M4Object columnset)
                               throws M4Exception

  This method should call the getter in the first object which returns the reference to the second object.

  Parameters:
    `columnset` - the first object
  Returns:
    a reference to the second object
  Throws:
    `M4Exception`

### getSecondSingleRef

    public M4Object getSecondSingleRef(M4Object primKey)
                                throws M4Exception

  This method should call the getter in the second object which returns the reference to the first object.

  Parameters:
    `primKey` - the second object
  Returns:
    a reference to the first object
  Throws:
    `M4Exception`

### setFirstSingleRefPrimitive

    public void setFirstSingleRefPrimitive(M4Object columnset,
                                           M4Object primKey)
                                    throws M4Exception

  This method should call the primitive setter for the first object, setting the reference to the second object.

  Parameters:
    `columnset` - the first object
    `primKey` - the second object
  Throws:
    `M4Exception`

### setSecondSingleRefPrimitive

    public void setSecondSingleRefPrimitive(M4Object primKey,
                                            M4Object columnset)
                                     throws M4Exception

  This method should call the primitive setter for the second object, setting the reference to the first object.

  Parameters:
    `primKey` - the second object
    `columnset` - the first object
  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005